Subject: Mycology Books For Sale

From: "Gary Wayner" <[email-masked]>
Date: 2 Nov 1996 20:27:00 GMT

Fowler, H.  A study of the fishes of the southern piedmont & coastal plain.
wrs. I have several copies for sale @ $ 60.
Wood, C.  An intro to the literature of vertebrate zoology. Martino reprint
of a classic. $ 100.
Pennell, F.  The Scrophulariaceae of e temperate n America. (Botany). wrs. 
$ 35.
I have these and many other titles.  If you would like a copy of my catalog
#77 drop me an email at [email-masked].  I need to know if you
want your catalog in ascii or winword format.  I have all areas of natural
history both new & antiquarian.  Waiting to hear from you.